> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新 Session 资源

> 轮转 GitHub repository resource token。

`POST /api/v1/cloud/sessions/{session_id}/resources/{resource_id}`

更新一个 Session resource。当前 CAS 只支持为 `github_repository` resource 轮转 token。

## 路径参数

| 参数            | 类型     | 说明                         |
| ------------- | ------ | -------------------------- |
| `session_id`  | string | 以 `sess_` 为前缀的 Session ID  |
| `resource_id` | string | 以 `sesr_` 为前缀的 Resource ID |

## 请求头

| 头部              | 必选 | 说明                  |
| --------------- | -- | ------------------- |
| `Authorization` | 是  | `Bearer $QODER_PAT` |
| `Content-Type`  | 是  | `application/json`  |

## 请求体

| 字段                    | 类型     | 必填 | 说明             |
| --------------------- | ------ | -- | -------------- |
| `authorization_token` | string | 是  | 新 GitHub token |

## 示例请求

```bash theme={null}
curl -X POST https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{"authorization_token":"ghp_newtoken"}'
```

## 示例响应

**HTTP 200 OK**

返回更新后的 [Session resource](/zh/cloud-agents/api/sessions/schemas#session-resource)，不会返回 token。

```json theme={null}
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "github_repository",
  "url": "https://github.com/your-org/your-repo",
  "mount_path": "/data/workspace/your-repo",
  "checkout": {"type": "branch", "name": "main"},
  "created_at": "2026-06-23T05:53:19.774840Z",
  "updated_at": "2026-06-23T06:01:42.124501Z"
}
```

## 错误码

| HTTP | 类型                      | 触发条件                                    |
| ---- | ----------------------- | --------------------------------------- |
| 400  | `invalid_request_error` | Resource 不是 `github_repository`，或请求格式非法 |
| 401  | `authentication_error`  | PAT 无效或过期                               |
| 404  | `not_found_error`       | Session 或 resource 不存在                  |

**HTTP 400 Bad Request**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "invalid_request_error",
    "message": "Field 'authorization_token' is required."
  }
}
```

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

完整错误信封格式见 [错误参考](/zh/cloud-agents/api/conventions/errors)。
